Data - Retrieve Group Data
Recupera i dati dei gruppi in base ai criteri specificati.
POST http://<Servername>/OperationsManager/data/scomGroups
Corpo della richiesta
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Nome | Tipo | Descrizione |
|---|---|---|
| criteria |
string |
Criteri di ricerca |
Risposte
| Nome | Tipo | Descrizione |
|---|---|---|
| 200 OK |
OK. Gruppi recuperati correttamente in base ai criteri specificati. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Esempio
RetrieveGroupData
Esempio di richiesta
POST http://<Servername>/OperationsManager/data/scomGroups
[
"DisplayName LIKE '%All Windows Computers%'"
]
Risposta di esempio
{
"scopeDatas": [
{
"id": "3c8ac4f3-475e-44dd-4163-8a97af363705",
"displayName": "All Windows Computers",
"className": "All Windows Computers",
"path": null,
"fullName": "Microsoft.SystemCenter.AllComputersGroup"
}
]
}
Definizioni
| Nome | Descrizione |
|---|---|
|
Scope |
|
|
Scope |
ScopeData
| Nome | Tipo | Descrizione |
|---|---|---|
| className |
string |
Nome classe |
| displayName |
string |
Nome visualizzato |
| fullName |
string |
Nome completo |
| id |
string |
Documento d'identità |
| path |
string |
Percorso |
ScopeDataResponse
| Nome | Tipo | Descrizione |
|---|---|---|
| scopeDatas |
Dati ambito |